Bug 18483 - Lynx does not support https:// url's
Lynx does not support https:// url's
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-05 20:09 EDT by Reuben Farrelly
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-06 04:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2000-10-05 20:09:48 EDT
When attempting to go to any site which uses https://, lynx sends a GET 
request for an HTTPS url.  HTTPS url's should always use CONNECT not GET 
as the appropriate method.

Here's the output from my Squid logs showing the request, and squid quite 
correctly refusing to process the request:

970790322.012      3 203.xx.170.225 NONE/501 1052 GET 
https://www.redhat.com/network/main/login.html - NONE/- -

If Lynx is unable to handle https url's then it would be more appropriate 
to state this rather than try and retrieve a URL and fail with an error.
Comment 1 Bernhard Rosenkraenzer 2000-10-06 04:43:08 EDT
I've added the patch for SSL support in 2.8.4-5 (should appear in Rawhide
shortly).
Comment 2 Milan Kerslager 2000-11-10 11:44:13 EST
Great! As we dicussed in testers-list, there should be probably a warning in the
description about lack of certificate support in the lynx code. The
communication over SSL is much more secure than clear-text HTTP but everybody
should know about this (we don't need to hide it).

Note You need to log in before you can comment on or make changes to this bug.